package gov.va.med.cds.ars.model;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlType(propOrder = {"vendorFacility", "lastSurveyDate"})
public class SurveyDistributionByVendorAggregateDAO 
	extends SurveyAggregateDAO
{
    String vendorFacility;
    String lastSurveyDate;


    @XmlElement
    public String getLastSurveyDate( )
    {
        return lastSurveyDate;
    }


    public void setLastSurveyDate( String lastSurveyDate )
    {
        this.lastSurveyDate = lastSurveyDate;
    }


    @XmlElement
    public String getVendorFacility( )
    {
        return vendorFacility;
    }


    public void setVendorFacility( String vendorFacility )
    {
        this.vendorFacility = vendorFacility;
    }


    public String toString()
    {
        return "Location: " + getLocation() + ",  Record Count: " + getRecordCount() + ",  vendorFacility: " + vendorFacility + ", lastSurveyDate: " + lastSurveyDate;
    }
}

